Package org.apache.tools.ant.taskdefs.optional.net

# Class FTP.LanguageCode

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.net.FTP.LanguageCode

Enclosing class:
  FTP

    public static class FTP.LanguageCode
    extends EnumeratedAttribute

Enumerated class for languages.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LanguageCode()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `getValues()` | Return the value values.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LanguageCode

    public LanguageCode()

- ## Method Details

  - ### getValues

    public java.lang.String[] getValues()
    Return the value values.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      the list of valid language types.